View Single Post
Old 05-24-2008, 09:50 AM   #9 (permalink)
justajason
Talking BlackBerry Encyclopedia
 
justajason's Avatar
 
Join Date: Jul 2005
Location: Florida
Model: 8310
Carrier: at&t
Posts: 224
Post Thanks: 1
Thanked 0 Times in 0 Posts
Default

Quote:
Originally Posted by Spamdumpster View Post
I've read in a few threads that on beta OS 4.5 (1) people are having problems with google maps, and (2) AT&T people are having trouble with blackberry maps.

I have solutions to both problems. I tried these only on my at&t 8820 and 4.5.0.18, but I see no reason why they wouldn't work elsewhere. Even thought they overlap to a large extent, I like to have both applications working on my device -- google maps has better search capability, bb maps can be set to track up
instead of north up.

1. Googlemaps. The issue reported is that the application hangs after you give it permission to access the radio information. Eventually, the app times out, and it's never usable. I experienced this as well. The solution I found is to downgrade to 4.2.2 (I was using t-mobile 4.2.193), install and run google maps, make sure it works, and then upgrade to 4.5 and let BB manager back up all databases, etc. This carries the permissions over and will allow google maps to run.

2. BB Maps. The issue is that the version of BB maps that comes with 4.5 requires a service book, which at&t refuses to push down (or, more accurately, pushes down blank service books). The solution, of course, is to load the older version of BB Maps. Replace the LBS.alx file with the file from a 4.2 installation and copy all of the modules (cod files) with "lbs" in them from the 4.2 installation to the 4.5 java folder. Then run app manager.
OMG youre Smart... SOMEONE NEEDS TO STICKY!!!! PUHLEASE>>>>>
Offline   Reply With Quote